Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040ClinicalDocument

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040ClinicalDocumentImpl

    public interface POCDMT000040ClinicalDocument

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Clinical Document'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Title`
- `Effective Time`
- `Confidentiality Code`
- `Language Code`
- `Set Id`
- `Version Number`
- `Copy Time`
- `Record Target`
- `Author`
- `Data Enterer`
- `Informant`
- `Custodian`
- `Information Recipient`
- `Legal Authenticator`
- `Authenticator`
- `Participant`
- `In Fulfillment Of`
- `Documentation Of`
- `Related Document`
- `Authorization`
- `Component Of`
- `Component`
- `Class Code`
- `Mood Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040ClinicalDocument()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuthenticator()` Returns the value of the 'Authenticator' containment reference list.
`org.eclipse.emf.common.util.EList` | `getAuthor()` Returns the value of the 'Author' containment reference list.
`org.eclipse.emf.common.util.EList` | `getAuthorization()` Returns the value of the 'Authorization' containment reference list.
`ActClinicalDocument` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CE` | `getCode()` Returns the value of the 'Code' containment reference.
`POCDMT000040Component2` | `getComponent()` Returns the value of the 'Component' containment reference.
`POCDMT000040Component1` | `getComponentOf()` Returns the value of the 'Component Of' containment reference.
`CE` | `getConfidentialityCode()` Returns the value of the 'Confidentiality Code' containment reference.
`TS1` | `getCopyTime()` Returns the value of the 'Copy Time' containment reference.
`POCDMT000040Custodian` | `getCustodian()` Returns the value of the 'Custodian' containment reference.
`POCDMT000040DataEnterer` | `getDataEnterer()` Returns the value of the 'Data Enterer' containment reference.
`org.eclipse.emf.common.util.EList` | `getDocumentationOf()` Returns the value of the 'Documentation Of' containment reference list.
`TS1` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference.
`II` | `getId()` Returns the value of the 'Id' containment reference.
`org.eclipse.emf.common.util.EList` | `getInformant()` Returns the value of the 'Informant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getInformationRecipient()` Returns the value of the 'Information Recipient' containment reference list.
`org.eclipse.emf.common.util.EList` | `getInFulfillmentOf()` Returns the value of the 'In Fulfillment Of' containment reference list.
`CS1` | `getLanguageCode()` Returns the value of the 'Language Code' containment reference.
`POCDMT000040LegalAuthenticator` | `getLegalAuthenticator()` Returns the value of the 'Legal Authenticator' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getMoodCode()` Returns the value of the 'Mood Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getParticipant()` Returns the value of the 'Participant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRecordTarget()` Returns the value of the 'Record Target' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRelatedDocument()` Returns the value of the 'Related Document' containment reference list.
`II` | `getSetId()` Returns the value of the 'Set Id' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ST1` | `getTitle()` Returns the value of the 'Title' containment reference.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`INT1` | `getVersionNumber()` Returns the value of the 'Version Number' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetMoodCode()` Returns whether the value of the '`Mood Code`' attribute is set.
`void` | `setClassCode(ActClinicalDocument value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CE value)` Sets the value of the '`Code`' containment reference.
`void` | `setComponent(POCDMT000040Component2 value)` Sets the value of the '`Component`' containment reference.
`void` | `setComponentOf(POCDMT000040Component1 value)` Sets the value of the '`Component Of`' containment reference.
`void` | `setConfidentialityCode(CE value)` Sets the value of the '`Confidentiality Code`' containment reference.
`void` | `setCopyTime(TS1 value)` Sets the value of the '`Copy Time`' containment reference.
`void` | `setCustodian(POCDMT000040Custodian value)` Sets the value of the '`Custodian`' containment reference.
`void` | `setDataEnterer(POCDMT000040DataEnterer value)` Sets the value of the '`Data Enterer`' containment reference.
`void` | `setEffectiveTime(TS1 value)` Sets the value of the '`Effective Time`' containment reference.
`void` | `setId(II value)` Sets the value of the '`Id`' containment reference.
`void` | `setLanguageCode(CS1 value)` Sets the value of the '`Language Code`' containment reference.
`void` | `setLegalAuthenticator(POCDMT000040LegalAuthenticator value)` Sets the value of the '`Legal Authenticator`' containment reference.
`void` | `setMoodCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Mood Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setSetId(II value)` Sets the value of the '`Set Id`' containment reference.
`void` | `setTitle(ST1 value)` Sets the value of the '`Title`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `setVersionNumber(INT1 value)` Sets the value of the '`Version Number`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetMoodCode()` Unsets the value of the '`Mood Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_TemplateId()`

### getId

    II getId()

  Returns the value of the 'Id' containment reference.

  If the meaning of the 'Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference.
  See Also:
    `setId(II)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Id()`

### setId

    void setId(II value)

  Sets the value of the '`Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Id' containment reference.
  See Also:
    `getId()`

### getCode

    CE getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CE)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Code()`

### setCode

    void setCode(CE value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getTitle

    ST1 getTitle()

  Returns the value of the 'Title' containment reference.

  If the meaning of the 'Title' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `setTitle(ST1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Title()`

### setTitle

    void setTitle(ST1 value)

  Sets the value of the '`Title`' containment reference.

  Parameters:
    `value` - the new value of the 'Title' containment reference.
  See Also:
    `getTitle()`

### getEffectiveTime

    TS1 getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference.

  If the meaning of the 'Effective Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `setEffectiveTime(TS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_EffectiveTime()`

### setEffectiveTime

    void setEffectiveTime(TS1 value)

  Sets the value of the '`Effective Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Effective Time' containment reference.
  See Also:
    `getEffectiveTime()`

### getConfidentialityCode

    CE getConfidentialityCode()

  Returns the value of the 'Confidentiality Code' containment reference.

  If the meaning of the 'Confidentiality Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Confidentiality Code' containment reference.
  See Also:
    `setConfidentialityCode(CE)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ConfidentialityCode()`

### setConfidentialityCode

    void setConfidentialityCode(CE value)

  Sets the value of the '`Confidentiality Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Confidentiality Code' containment reference.
  See Also:
    `getConfidentialityCode()`

### getLanguageCode

    CS1 getLanguageCode()

  Returns the value of the 'Language Code' containment reference.

  If the meaning of the 'Language Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_LanguageCode()`

### setLanguageCode

    void setLanguageCode(CS1 value)

  Sets the value of the '`Language Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Language Code' containment reference.
  See Also:
    `getLanguageCode()`

### getSetId

    II getSetId()

  Returns the value of the 'Set Id' containment reference.

  If the meaning of the 'Set Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Set Id' containment reference.
  See Also:
    `setSetId(II)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_SetId()`

### setSetId

    void setSetId(II value)

  Sets the value of the '`Set Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Set Id' containment reference.
  See Also:
    `getSetId()`

### getVersionNumber

    INT1 getVersionNumber()

  Returns the value of the 'Version Number' containment reference.

  If the meaning of the 'Version Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version Number' containment reference.
  See Also:
    `setVersionNumber(INT1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_VersionNumber()`

### setVersionNumber

    void setVersionNumber(INT1 value)

  Sets the value of the '`Version Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Version Number' containment reference.
  See Also:
    `getVersionNumber()`

### getCopyTime

    TS1 getCopyTime()

  Returns the value of the 'Copy Time' containment reference.

  If the meaning of the 'Copy Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Copy Time' containment reference.
  See Also:
    `setCopyTime(TS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_CopyTime()`

### setCopyTime

    void setCopyTime(TS1 value)

  Sets the value of the '`Copy Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Copy Time' containment reference.
  See Also:
    `getCopyTime()`

### getRecordTarget

    org.eclipse.emf.common.util.EList getRecordTarget()

  Returns the value of the 'Record Target' containment reference list. The list contents are of type `POCDMT000040RecordTarget`.

  If the meaning of the 'Record Target' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Record Target' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RecordTarget()`

### getAuthor

    org.eclipse.emf.common.util.EList getAuthor()

  Returns the value of the 'Author' containment reference list. The list contents are of type `POCDMT000040Author`.

  If the meaning of the 'Author' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Author()`

### getDataEnterer

    POCDMT000040DataEnterer getDataEnterer()

  Returns the value of the 'Data Enterer' containment reference.

  If the meaning of the 'Data Enterer' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Enterer' containment reference.
  See Also:
    `setDataEnterer(POCDMT000040DataEnterer)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_DataEnterer()`

### setDataEnterer

    void setDataEnterer(POCDMT000040DataEnterer value)

  Sets the value of the '`Data Enterer`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Enterer' containment reference.
  See Also:
    `getDataEnterer()`

### getInformant

    org.eclipse.emf.common.util.EList getInformant()

  Returns the value of the 'Informant' containment reference list. The list contents are of type `POCDMT000040Informant12`.

  If the meaning of the 'Informant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Informant()`

### getCustodian

    POCDMT000040Custodian getCustodian()

  Returns the value of the 'Custodian' containment reference.

  If the meaning of the 'Custodian' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Custodian' containment reference.
  See Also:
    `setCustodian(POCDMT000040Custodian)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Custodian()`

### setCustodian

    void setCustodian(POCDMT000040Custodian value)

  Sets the value of the '`Custodian`' containment reference.

  Parameters:
    `value` - the new value of the 'Custodian' containment reference.
  See Also:
    `getCustodian()`

### getInformationRecipient

    org.eclipse.emf.common.util.EList getInformationRecipient()

  Returns the value of the 'Information Recipient' containment reference list. The list contents are of type `POCDMT000040InformationRecipient`.

  If the meaning of the 'Information Recipient' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Information Recipient' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_InformationRecipient()`

### getLegalAuthenticator

    POCDMT000040LegalAuthenticator getLegalAuthenticator()

  Returns the value of the 'Legal Authenticator' containment reference.

  If the meaning of the 'Legal Authenticator' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Legal Authenticator' containment reference.
  See Also:
    `setLegalAuthenticator(POCDMT000040LegalAuthenticator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_LegalAuthenticator()`

### setLegalAuthenticator

    void setLegalAuthenticator(POCDMT000040LegalAuthenticator value)

  Sets the value of the '`Legal Authenticator`' containment reference.

  Parameters:
    `value` - the new value of the 'Legal Authenticator' containment reference.
  See Also:
    `getLegalAuthenticator()`

### getAuthenticator

    org.eclipse.emf.common.util.EList getAuthenticator()

  Returns the value of the 'Authenticator' containment reference list. The list contents are of type `POCDMT000040Authenticator`.

  If the meaning of the 'Authenticator' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Authenticator' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Authenticator()`

### getParticipant

    org.eclipse.emf.common.util.EList getParticipant()

  Returns the value of the 'Participant' containment reference list. The list contents are of type `POCDMT000040Participant1`.

  If the meaning of the 'Participant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Participant()`

### getInFulfillmentOf

    org.eclipse.emf.common.util.EList getInFulfillmentOf()

  Returns the value of the 'In Fulfillment Of' containment reference list. The list contents are of type `POCDMT000040InFulfillmentOf`.

  If the meaning of the 'In Fulfillment Of' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Fulfillment Of' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_InFulfillmentOf()`

### getDocumentationOf

    org.eclipse.emf.common.util.EList getDocumentationOf()

  Returns the value of the 'Documentation Of' containment reference list. The list contents are of type `POCDMT000040DocumentationOf`.

  If the meaning of the 'Documentation Of' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Documentation Of' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_DocumentationOf()`

### getRelatedDocument

    org.eclipse.emf.common.util.EList getRelatedDocument()

  Returns the value of the 'Related Document' containment reference list. The list contents are of type `POCDMT000040RelatedDocument`.

  If the meaning of the 'Related Document' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Related Document' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RelatedDocument()`

### getAuthorization

    org.eclipse.emf.common.util.EList getAuthorization()

  Returns the value of the 'Authorization' containment reference list. The list contents are of type `POCDMT000040Authorization`.

  If the meaning of the 'Authorization' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Authorization' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Authorization()`

### getComponentOf

    POCDMT000040Component1 getComponentOf()

  Returns the value of the 'Component Of' containment reference.

  If the meaning of the 'Component Of' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Of' containment reference.
  See Also:
    `setComponentOf(POCDMT000040Component1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ComponentOf()`

### setComponentOf

    void setComponentOf(POCDMT000040Component1 value)

  Sets the value of the '`Component Of`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Of' containment reference.
  See Also:
    `getComponentOf()`

### getComponent

    POCDMT000040Component2 getComponent()

  Returns the value of the 'Component' containment reference.

  If the meaning of the 'Component' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component' containment reference.
  See Also:
    `setComponent(POCDMT000040Component2)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Component()`

### setComponent

    void setComponent(POCDMT000040Component2 value)

  Sets the value of the '`Component`' containment reference.

  Parameters:
    `value` - the new value of the 'Component' containment reference.
  See Also:
    `getComponent()`

### getClassCode

    ActClinicalDocument getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"DOCCLIN"`. The literals are from the enumeration `ActClinicalDocument`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `ActClinicalDocument`, `isSetClassCode()`, `unsetClassCode()`, `setClassCode(ActClinicalDocument)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ClassCode()`

### setClassCode

    void setClassCode(ActClinicalDocument value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `ActClinicalDocument`, `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(ActClinicalDocument)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(ActClinicalDocument)`

### getMoodCode

    org.eclipse.emf.common.util.Enumerator getMoodCode()

  Returns the value of the 'Mood Code' attribute. The default value is `"EVN"`.

  If the meaning of the 'Mood Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `setMoodCode(Enumerator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_MoodCode()`

### setMoodCode

    void setMoodCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Mood Code`' attribute.

  Parameters:
    `value` - the new value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `getMoodCode()`

### unsetMoodCode

    void unsetMoodCode()

  Unsets the value of the '`Mood Code`' attribute.

  See Also:
    `isSetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### isSetMoodCode

    boolean isSetMoodCode()

  Returns whether the value of the '`Mood Code`' attribute is set.

  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `unsetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD